Description

What do you expect the CoCoA-5 manual to respond to the query:

?terms

 

Currently, it gives the page for NumTerms.

Probably it should also mention support, monomials, and maybe coefficients?

I notice that ?term gives a lot more (but neither support nor monomials).

Related issues:

Related to CoCoA-5 - Support #1400: Title of manual entry: tutorial on operat... Closed 22 Jan 2020

History

#1 - 28 Jan 2020 14:41 - John Abbott

- Status changed from New to In Progress

- % Done changed from 0 to 10

One possibility is that ?terms produces the page for NumTerms, but that then in the "see also" section there are references to other relevant pages.

Or we could add terms as a keyword to various other pages, so that ?terms then produces just a list of those pages...

#2 - 28 Jan 2020 15:20 - Anna Maria Bigatti

hmmm, you are right.

"terms" should be in the keys for support, monomials, coefficients, at least.

#3 - 13 Feb 2020 15:53 - John Abbott

- Related to Support #1400: Title of manual entry: tutorial on operations on polynomials added

#4 - 20 Feb 2020 16:58 - John Abbott

- % Done changed from 10 to 50

This is what I get at the moment:

>>> ?terms

--============( NumTerms )=============--

.... entry for NumTerms ....

--> See also:

 ? support

 ? coefficients

 ? monomials

 ? len
NOTE  I have just added also Tutorial: polynomials to the "see also" list :-)

#5 - 03 Mar 2020 22:07 - John Abbott

- Status changed from In Progress to Feedback

- Assignee set to John Abbott

- % Done changed from 50 to 90

I think it is OK now.  It's just a little odd that len appears in the list, but this is probably to help those porting old CoCoA-4 code (where len was used

instead of NumTerms).

#6 - 04 Mar 2020 19:00 - John Abbott

- Status changed from Feedback to Closed

- % Done changed from 90 to 100

- Estimated time set to 0.75 h

Anna accepts.  Closing.
